API ReferenceAdmin Tenants
Rename Tenant
PATCH
/v1/admin/tenants/{tenant_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
tenant_id*Tenant Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Rename only — the slug is immutable (it's the public issuer host).
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "slug": "string", "is_default": true, "issuer_url": "string", "created_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}